package com.hz.pm.api.staging.utils;

import com.google.common.collect.Maps;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 工作通知流转 事件函数MAP
 *
 * @author CMM
 * @return
 * @since 2023/02/28 17:03
 */
public class WorkNoticeFlowMapUtil {

    private WorkNoticeFlowMapUtil() {
    }

    /**
     * key 重试的次数 , value 是增加是描述
     */
    private static final Map<Integer, Integer> INTERVAL_TIME_MAP = Maps.newHashMap();


    static {
        INTERVAL_TIME_MAP.put(0, 60);
        INTERVAL_TIME_MAP.put(1, 60 * 2);
        INTERVAL_TIME_MAP.put(2, 60 * 6);
        INTERVAL_TIME_MAP.put(3, 60 * 15);
        INTERVAL_TIME_MAP.put(4, 60 * 30);
        INTERVAL_TIME_MAP.put(5, 60 * 60);
        INTERVAL_TIME_MAP.put(6, 60 * 60 * 2);
        INTERVAL_TIME_MAP.put(7, 60 * 60 * 5);
        INTERVAL_TIME_MAP.put(8, 60 * 60 * 12);
        INTERVAL_TIME_MAP.put(9, 60 * 60 * 24);
        INTERVAL_TIME_MAP.put(10, 60 * 60 * 72);
        INTERVAL_TIME_MAP.put(11, 60 * 60 * 216);
    }

    public static Integer get(Integer times) {
        return INTERVAL_TIME_MAP.get(times);
    }

}
